KeyspaceMetrics (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.metrics

## Class KeyspaceMetrics

- java.lang.Object
- - org.apache.cassandra.metrics.KeyspaceMetrics

-     public class KeyspaceMetrics
      extends java.lang.Object

  Metrics for `ColumnFamilyStore`.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `com.codahale.metrics.Gauge<java.lang.Long>` | `allMemtablesLiveDataSize` Total amount of live data stored in the memtables (2i and pending flush memtables included) that resides off-heap, excluding any data structure overhead
    `com.codahale.metrics.Gauge<java.lang.Long>` | `allMemtablesOffHeapDataSize` Total amount of data stored in the memtables (2i and pending flush memtables included) that resides off-heap.
    `com.codahale.metrics.Gauge<java.lang.Long>` | `allMemtablesOnHeapDataSize` Total amount of data stored in the memtables (2i and pending flush memtables included) that resides on-heap.
    `com.codahale.metrics.Gauge<java.lang.Long>` | `bloomFilterDiskSpaceUsed` Disk space used by bloom filter
    `com.codahale.metrics.Gauge<java.lang.Long>` | `bloomFilterOffHeapMemoryUsed` Off heap memory used by bloom filter
    `LatencyMetrics` | `casCommit` CAS Commit metrics
    `LatencyMetrics` | `casPrepare` CAS Prepare metric
    `LatencyMetrics` | `casPropose` CAS Propose metrics
    `com.codahale.metrics.Histogram` | `colUpdateTimeDeltaHistogram` Column update time delta on this Keyspace
    `com.codahale.metrics.Gauge<java.lang.Long>` | `compressionMetadataOffHeapMemoryUsed` Off heap memory used by compression meta data
    `MetricNameFactory` | `factory`
    `com.codahale.metrics.Gauge<java.lang.Long>` | `indexSummaryOffHeapMemoryUsed` Off heap memory used by index summary
    `com.codahale.metrics.Gauge<java.lang.Long>` | `liveDiskSpaceUsed` Disk space used by SSTables belonging to this CF
    `com.codahale.metrics.Histogram` | `liveScannedHistogram` Live cells scanned in queries on this Keyspace
    `com.codahale.metrics.Gauge<java.lang.Long>` | `memtableColumnsCount` Total number of columns present in the memtable.
    `com.codahale.metrics.Gauge<java.lang.Long>` | `memtableLiveDataSize` Total amount of live data stored in the memtable, excluding any data structure overhead
    `com.codahale.metrics.Gauge<java.lang.Long>` | `memtableOffHeapDataSize` Total amount of data stored in the memtable that resides off-heap, including column related overhead and partitions overwritten.
    `com.codahale.metrics.Gauge<java.lang.Long>` | `memtableOnHeapDataSize` Total amount of data stored in the memtable that resides on-heap, including column related overhead and partitions overwritten.
    `com.codahale.metrics.Gauge<java.lang.Long>` | `memtableSwitchCount` Number of times flush has resulted in the memtable being switched out.
    `com.codahale.metrics.Gauge<java.lang.Long>` | `pendingCompactions` Estimate of number of pending compactios for this CF
    `com.codahale.metrics.Gauge<java.lang.Long>` | `pendingFlushes` Estimated number of tasks pending for this column family
    `LatencyMetrics` | `rangeLatency` (Local) range slice metrics
    `LatencyMetrics` | `readLatency` (Local) read metrics
    `com.codahale.metrics.Histogram` | `sstablesPerReadHistogram` Histogram of the number of sstable data files accessed per read
    `com.codahale.metrics.Histogram` | `tombstoneScannedHistogram` Tombstones scanned in queries on this Keyspace
    `com.codahale.metrics.Gauge<java.lang.Long>` | `totalDiskSpaceUsed` Total disk space used by SSTables belonging to this CF, including obsolete ones waiting to be GC'd
    `com.codahale.metrics.Timer` | `viewLockAcquireTime` time taken acquiring the partition lock for materialized view updates on this keyspace
    `com.codahale.metrics.Timer` | `viewReadTime` time taken during the local read of a materialized view update
    `LatencyMetrics` | `writeLatency` (Local) write metrics

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `KeyspaceMetrics(Keyspace ks)` Creates metrics for given `ColumnFamilyStore`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `release()` Release all associated metrics.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### memtableLiveDataSize

          public final com.codahale.metrics.Gauge<java.lang.Long> memtableLiveDataSize

      Total amount of live data stored in the memtable, excluding any data structure overhead

    - #### memtableOnHeapDataSize

          public final com.codahale.metrics.Gauge<java.lang.Long> memtableOnHeapDataSize

      Total amount of data stored in the memtable that resides on-heap, including column related overhead and partitions overwritten.

    - #### memtableOffHeapDataSize

          public final com.codahale.metrics.Gauge<java.lang.Long> memtableOffHeapDataSize

      Total amount of data stored in the memtable that resides off-heap, including column related overhead and partitions overwritten.

    - #### allMemtablesLiveDataSize

          public final com.codahale.metrics.Gauge<java.lang.Long> allMemtablesLiveDataSize

      Total amount of live data stored in the memtables (2i and pending flush memtables included) that resides off-heap, excluding any data structure overhead

    - #### allMemtablesOnHeapDataSize

          public final com.codahale.metrics.Gauge<java.lang.Long> allMemtablesOnHeapDataSize

      Total amount of data stored in the memtables (2i and pending flush memtables included) that resides on-heap.

    - #### allMemtablesOffHeapDataSize

          public final com.codahale.metrics.Gauge<java.lang.Long> allMemtablesOffHeapDataSize

      Total amount of data stored in the memtables (2i and pending flush memtables included) that resides off-heap.

    - #### memtableColumnsCount

          public final com.codahale.metrics.Gauge<java.lang.Long> memtableColumnsCount

      Total number of columns present in the memtable.

    - #### memtableSwitchCount

          public final com.codahale.metrics.Gauge<java.lang.Long> memtableSwitchCount

      Number of times flush has resulted in the memtable being switched out.

    - #### pendingFlushes

          public final com.codahale.metrics.Gauge<java.lang.Long> pendingFlushes

      Estimated number of tasks pending for this column family

    - #### pendingCompactions

          public final com.codahale.metrics.Gauge<java.lang.Long> pendingCompactions

      Estimate of number of pending compactios for this CF

    - #### liveDiskSpaceUsed

          public final com.codahale.metrics.Gauge<java.lang.Long> liveDiskSpaceUsed

      Disk space used by SSTables belonging to this CF

    - #### totalDiskSpaceUsed

          public final com.codahale.metrics.Gauge<java.lang.Long> totalDiskSpaceUsed

      Total disk space used by SSTables belonging to this CF, including obsolete ones waiting to be GC'd

    - #### bloomFilterDiskSpaceUsed

          public final com.codahale.metrics.Gauge<java.lang.Long> bloomFilterDiskSpaceUsed

      Disk space used by bloom filter

    - #### bloomFilterOffHeapMemoryUsed

          public final com.codahale.metrics.Gauge<java.lang.Long> bloomFilterOffHeapMemoryUsed

      Off heap memory used by bloom filter

    - #### indexSummaryOffHeapMemoryUsed

          public final com.codahale.metrics.Gauge<java.lang.Long> indexSummaryOffHeapMemoryUsed

      Off heap memory used by index summary

    - #### compressionMetadataOffHeapMemoryUsed

          public final com.codahale.metrics.Gauge<java.lang.Long> compressionMetadataOffHeapMemoryUsed

      Off heap memory used by compression meta data

    - #### readLatency

          public final LatencyMetrics readLatency

      (Local) read metrics

    - #### rangeLatency

          public final LatencyMetrics rangeLatency

      (Local) range slice metrics

    - #### writeLatency

          public final LatencyMetrics writeLatency

      (Local) write metrics

    - #### sstablesPerReadHistogram

          public final com.codahale.metrics.Histogram sstablesPerReadHistogram

      Histogram of the number of sstable data files accessed per read

    - #### tombstoneScannedHistogram

          public final com.codahale.metrics.Histogram tombstoneScannedHistogram

      Tombstones scanned in queries on this Keyspace

    - #### liveScannedHistogram

          public final com.codahale.metrics.Histogram liveScannedHistogram

      Live cells scanned in queries on this Keyspace

    - #### colUpdateTimeDeltaHistogram

          public final com.codahale.metrics.Histogram colUpdateTimeDeltaHistogram

      Column update time delta on this Keyspace

    - #### viewLockAcquireTime

          public final com.codahale.metrics.Timer viewLockAcquireTime

      time taken acquiring the partition lock for materialized view updates on this keyspace

    - #### viewReadTime

          public final com.codahale.metrics.Timer viewReadTime

      time taken during the local read of a materialized view update

    - #### casPrepare

          public final LatencyMetrics casPrepare

      CAS Prepare metric

    - #### casPropose

          public final LatencyMetrics casPropose

      CAS Propose metrics

    - #### casCommit

          public final LatencyMetrics casCommit

      CAS Commit metrics

    - #### factory

          public final MetricNameFactory factory

  - ### Constructor Detail

    - #### KeyspaceMetrics

          public KeyspaceMetrics(Keyspace ks)

      Creates metrics for given `ColumnFamilyStore`.
      Parameters:
        `ks` - Keyspace to measure metrics

  - ### Method Detail

    - #### release

          public void release()

      Release all associated metrics.

Copyright © 2018 The Apache Software Foundation